Skip to main content
GET
/
v1
/
agents
/
{agent_uuid}
Get Agent
curl --request GET \
  --url https://api.example.com/v1/agents/{agent_uuid}
{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "endpoint_url": "<string>",
    "auth_header_name": "<string>",
    "trigger_on_sources": [
      "<string>"
    ],
    "trigger_on_severities": [
      "<string>"
    ],
    "trigger_filter": {},
    "timeout_seconds": 123,
    "retry_count": 123,
    "is_active": true,
    "documentation": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "meta": {}
}

Path Parameters

agent_uuid
string<uuid>
required

Response

Successful Response

data
AgentRegistrationResponse · object
required
meta
Meta · object